Bug 191332 - Add a git utility method that allows the caller to determine if a specific commitish is within a specified range of commits.
Summary: Add a git utility method that allows the caller to determine if a specific co...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-06 14:42 PST by Jer Noble
Modified: 2019-02-20 15:26 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.23 KB, patch)
2018-11-06 14:44 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (2.35 KB, patch)
2018-11-06 15:01 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (2.41 KB, patch)
2018-11-06 15:14 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (2.64 KB, patch)
2019-02-20 15:02 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (2.79 KB, patch)
2019-02-20 15:06 PST, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2018-11-06 14:42:13 PST
Add a git utility method that allows the caller to determine if a specific commitish is within a specified range of commits.
Comment 1 Jer Noble 2018-11-06 14:44:09 PST
Created attachment 354011 [details]
Patch
Comment 2 Jer Noble 2018-11-06 15:01:10 PST
Created attachment 354013 [details]
Patch
Comment 3 Jer Noble 2018-11-06 15:14:43 PST
Created attachment 354016 [details]
Patch
Comment 4 Dean Jackson 2018-11-12 10:21:30 PST
Comment on attachment 354016 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=354016&action=review

> Tools/Scripts/git-is-in-range:3
> +USAGE="<commit range> <commit> [commit...]"

Another request was given a set of ranges, find the overlapping range.

Maybe you should explain what a <commit range> looks like? I assume it is hash1..hash2?
Comment 5 Jer Noble 2019-02-20 15:02:32 PST
Created attachment 362549 [details]
Patch for landing
Comment 6 Jer Noble 2019-02-20 15:06:07 PST
Created attachment 362550 [details]
Patch for landing
Comment 7 Jer Noble 2019-02-20 15:08:58 PST
(In reply to Dean Jackson from comment #4)
> Comment on attachment 354016 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=354016&action=review
> 
> > Tools/Scripts/git-is-in-range:3
> > +USAGE="<commit range> <commit> [commit...]"
> 
> Another request was given a set of ranges, find the overlapping range.

Okay. Another request I've heard is: given two commits, figure out which is older (and presumably, whether one is reachable from the other).

> Maybe you should explain what a <commit range> looks like? I assume it is
> hash1..hash2?

Good idea. Added a LONG_USAGE.
Comment 8 WebKit Commit Bot 2019-02-20 15:25:29 PST
Comment on attachment 362550 [details]
Patch for landing

Clearing flags on attachment: 362550

Committed r241843: <https://trac.webkit.org/changeset/241843>
Comment 9 WebKit Commit Bot 2019-02-20 15:25:30 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2019-02-20 15:26:49 PST
<rdar://problem/48254663>